
/********************************************
 **** Animation Class Library V1.0  1994 Yves Schmid & Alia Development
 ****
 **** AnimCollision.h
 ****
 **** Created:      11 August 1994
 **** Modified:     01 Septembre 1994
 **** Version:      0
 **** Compatible:   C++, Mac System 7
 ****
 **** Description:  AnimCollision is a special kind of animation object which only
 ****				produces collision. AnimCollision never draws anything on screen.
 ****
 ****				AnimCollision is a child class of the AnimMask class. You can use the
 ****				AnimMask methods to manipulate the mask.
 ****
 *******************/
 
#ifndef AnimCollision_H
#define AnimCollision_H


#include "AnimMask.h"

class AnimBase;

class AnimCollision: public AnimMask
{

	//***********************************************************
	//.............. P U B L I C   M E T H O D S.................

	public:


	// Datas passed are copied, so you don't have to keep them in memory.

	AnimCollision(AnimSupervisor *base, long resID);		// Initializes with a PICT resource
	AnimCollision(AnimSupervisor *base, AnimGfx *agfx);		// Initializes with an AnimGfx object
	AnimCollision(AnimSupervisor *base);					// Empty mask

	~AnimCollision(void);



	//***********************************************************
	//..........................................................
    // You should not call the following methods!

	Boolean draw(short basex =0, short basey =0);
};


#endif

