
/********************************************
 **** Animation Class Library V1.0  1994 Yves Schmid & Alia Development
 ****
 **** AnimPict.h
 ****
 **** Created:      14 May 1994
 **** Modified:     01 September 1994
 **** Version:      0
 **** Compatible:   C++, Mac System 7
 ****
 **** Description:   You should not have to use directly this class. This class
 ****				is used by AnimBase to keep trace of the allocated AnimGfxs.
 ****
 ****				 AnimPict is a child class of the CoreHead class.
 ****
 *******************/


#ifndef AnimPict_H
#define AnimPict_H


#include "CoreHead.h"
#include "AnimGfx.h"

class AnimBase;

//................................

class AnimPict: public CoreHead
{
	long		pictRESID;
	AnimGfx		*gfx;
	AnimGfx		*gfxdouble;
	Boolean		maybeflushed;
	
	protected:

	virtual void receivecmd(long cmd, void *info);

	public:

	AnimPict(AnimBase *, long resid);
	~AnimPict();
	
	inline long 		getRESID(void) const {return pictRESID;}
	inline AnimGfx		*getgfx(void) const {return gfx;}

	inline Boolean &getmaybeflushed(void) {return maybeflushed;} // If TRUE this picture may be
																 // flushed by "deleteunusedgfx".
																 // Default is FALSE.

	AnimGfx *isdouble(void);
};

//................................

class AnimGfxLink: public AnimGfx
{
	short a;

	protected:

	virtual void receivecmd(long cmd, void *info);

	public:

	AnimGfxLink();
	~AnimGfxLink();
};

#endif

