
/********************************************
 **** Animation Class Library V1.0  1994 Yves Schmid & Alia Development
 ****
 **** AnimScrollBase.h
 ****
 **** Created:      28 May 1994
 **** Modified:     01 September 1994
 **** Version:      0
 **** Compatible:   C++, Mac System 7
 ****
 **** Description:  AnimScrollBase is an AnimBase which has the ability to 
 ****				scroll the background picture. 
 ****
 ****				AnimScrollBase is a child class of the AnimBase class.
 ****
 *******************/
 

#ifndef AnimScrollBase_H
#define AnimScrollBase_H


#include "AnimBase.h"


class AnimScrollBase: public AnimBase
{

	//***********************************************************
	//.............. P U B L I C   M E T H O D S.................

	public:

 	inline float getscrolloffsetx() const {return scrolloffsetx;}
 	inline float getscrolloffsety() const {return scrolloffsety;}
	inline float gethscrollvect() const {return hscrollvect;}
	inline float getvscrollvect() const {return vscrollvect;}

 	inline void setscrolloffsetx(const float sx) {scrolloffsetx = sx;}
 	inline void setscrolloffsety(const float sy) {scrolloffsety = sy;}
	inline void sethscrollvect(const float vh) {hscrollvect = vh;}
	inline void setvscrollvect(const float vv) {vscrollvect = vv;}


	virtual Boolean update(void);
	
	AnimScrollBase(void);
	~AnimScrollBase(void);


	//***********************************************************

	//..........................................................
    // You should not call the following methods!

	virtual void updatebackground(void);

	//..........................................................


	private:

	float	scrolloffsetx,scrolloffsety;
	float	hscrollvect,vscrollvect;

};

#endif

